#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int n,m,sreca=0;
    scanf("%Ld %Ld",&n,&m);
    long long int a[n],x[m],y[m],br[n],brp[n],brn[n];
    for(long long int i=0;i<n;i++)
    {
        scanf("%lld",&a[i]);
        br[i]=0;
    }
    for(long long int i=0;i<m;i++)
    {
        scanf("%lld %lld",&x[i],&y[i]);
    }
    for(long long int i=0;i<m;i++)
    {
        br[x[i]-1]++;
        br[y[i]-1]++;
    }
    for(long long int i=0;i<m;i++)
    {
        brp[x[i]-1]=br[x[i]-1];
        brn[x[i]-1]=0;
        brp[y[i]-1]=br[y[i]-1];
        brn[y[i]-1]=0;
    }
    for(long long int i=0;i<m;i++)
    {
        if(a[x[i]-1]<0 || a[y[i]-1]<0)
        {
            brp[x[i]-1]--;
            brp[y[i]-1]--;
            brn[x[i]-1]++;
            brn[y[i]-1]++;
        }
    }
    for(long long int i=0;i<n;i++)
    {
        sreca+=a[i]*(brp[i]-brn[i]);
    }
    printf("%lld",sreca);
    return 0;
}